Name:           python-line-bot-sdk
Version:        3.16.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        LINE Messaging API SDK for Python

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/line/line-bot-sdk-python
Source:         %{pypi_source line_bot_sdk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'line-bot-sdk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-line-bot-sdk
Summary:        %{summary}

%description -n python3-line-bot-sdk %_description


%prep
%autosetup -p1 -n line_bot_sdk-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-line-bot-sdk -f %{pyproject_files}


%changelog
%autochangelog